Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.GraphicsObject Class Reference
Inheritance diagram for FoxitPDFSDKPython3.GraphicsObject:

## Public Member Functions
def | AddClipPath (path, fill_mode)
| Add a path for clipping. More...
def | AddClipTextObject (textobject)
| Add text object for clipping. More...
def | ClearClips ()
| Clear all clips. More...
def | Clone ()
| Clone a new graphics object. More...
def | GetBlendMode ()
| Get the blend mode for transparent imaging model. More...
def | GetClipPath (index)
| Get a path clip by index. More...
def | GetClipPathCount ()
| Get the count of path clip. More...
def | GetClipPathFillMode (index)
| Get the fill mode of a path clip by index. More...
def | GetClipRect ()
| Get clip rectangle. More...
def | GetClipTextObject (index)
| Get the text object of a text clip by index. More...
def | GetClipTextObjectCount ()
| Get the count of text clip. More...
def | GetColorState ()
| Get color state. More...
def | GetFillColor ()
| Get the fill color. More...
def | GetFillOpacity ()
| Get the opacity value for painting operations other than stroking. More...
def | GetFormXObject ()
| Get the form XObject graphics object if current graphics object represents a form XObject object. More...
def | GetGraphState ()
| Get graph state. More...
def | GetImageObject ()
| Get the image graphics object if current graphics object represents an image object. More...
def | GetLayers (layer_tree)
| Get all the layers which are associated with current graphics object. More...
def | GetMarkedContent ()
| Get marked content object. More...
def | GetMatrix ()
| Get matrix. More...
def | GetPathObject ()
| Get the path graphics object if current graphics object represents a path object. More...
def | GetRect ()
| Get the rectangle of current graphics object. More...
def | GetShadingObject ()
| Get the shading graphics object if current graphics object represents a shading object. More...
def | GetStrokeColor ()
| Get the stroke color. More...
def | GetStrokeOpacity ()
| Get opacity value for stroke painting operations for paths and glyph outlines. More...
def | GetTextObject ()
| Get the text graphics object if current graphics object represents a text object. More...
def | GetType ()
| Get the type of current graphics object. More...
def | HasTransparency ()
| Check whether current graphics object has transparency or not. More...
def | Release ()
| Release a cloned or newly created PDF graphics object which has not been inserted into any PDF page or other object. More...
def | RemoveClipPath (index)
| Remove a path clip by index. More...
def | RemoveClipTextObject (index)
| Remove a text clip by index for clipping. More...
def | Rotate (angle)
| Rotate current graphics object from current state with specified angle degree in clockwise. More...
def | SetBlendMode (blend_mode)
| Set the blend mode for transparent imaging model. More...
def | SetClipRect (clip_rect)
| Set clip rectangle. More...
def | SetColorState (color_state)
| Set color state. More...
def | SetFillColor (color)
| Set the fill color. More...
def | SetFillOpacity (opacity)
| Set the opacity value for painting operations other than stroking. More...
def | SetGraphState (graph_state)
| Set graph state. More...
def | SetMatrix (matrix)
| Set matrix. More...
def | SetStrokeColor (color)
| Set the stroke color. More...
def | SetStrokeOpacity (opacity)
| Set opacity value for stroke painting operations for paths and glyph outlines. More...
def | Transform (matrix, need_transform_clippath)
| Transform current graphics object. More...

## Static Public Attributes
| e_BlendColor = _fsdk.GraphicsObject_e_BlendColor
| Creates a color with the hue and saturation of the source color, and the luminosity of the backdrop color. More...
| e_BlendColorBurn = _fsdk.GraphicsObject_e_BlendColorBurn
| Darkens backdrop color to reflect the source color. More...
| e_BlendColorDodge = _fsdk.GraphicsObject_e_BlendColorDodge
| Brightens backdrop color to reflect source colors. More...
| e_BlendDarken = _fsdk.GraphicsObject_e_BlendDarken
| Select darker one of backdrop and source colors. More...
| e_BlendDifference = _fsdk.GraphicsObject_e_BlendDifference
| Subtracts the darker of the two constituent colors from lighter colors. More...
| e_BlendExclusion = _fsdk.GraphicsObject_e_BlendExclusion
| Creates a color with the hue of the source color, and the saturation and luminosity of the backdrop color. More...
| e_BlendHardlight = _fsdk.GraphicsObject_e_BlendHardlight
| Multiply or screens colors, depending on source color value. More...
| e_BlendHue = _fsdk.GraphicsObject_e_BlendHue
| Creates a color with the hue of the source color, and the saturation and luminosity of the backdrop color. More...
| e_BlendLighten = _fsdk.GraphicsObject_e_BlendLighten
| Select lighter one of backdrop and source colors. More...
| e_BlendLuminosity = _fsdk.GraphicsObject_e_BlendLuminosity
| Creates a color with the luminosity of the source color, and the hue and saturation of the backdrop color. More...
| e_BlendMultiply = _fsdk.GraphicsObject_e_BlendMultiply
| Multiply backdrop by source color values. More...
| e_BlendNormal = _fsdk.GraphicsObject_e_BlendNormal
| Selecting source color and ignoring backdrop color. More...
| e_BlendOverlay = _fsdk.GraphicsObject_e_BlendOverlay
| Multiply or screens colors, depending on backdrop color value. More...
| e_BlendSaturation = _fsdk.GraphicsObject_e_BlendSaturation
| Creates a color with the saturation of the source color, and the hue and luminosity of the backdrop color. More...
| e_BlendScreen = _fsdk.GraphicsObject_e_BlendScreen
| Multiply complements of backdrop by source color values, and then complement the result. More...
| e_BlendSoftlight = _fsdk.GraphicsObject_e_BlendSoftlight
| Darkens or lightens colors, depending on source color value. More...
| e_TypeAll = _fsdk.GraphicsObject_e_TypeAll
| Represents all graphics object types, only used as filter.
| e_TypeEmptyMarkedContent = _fsdk.GraphicsObject_e_TypeEmptyMarkedContent
| Empty marked-content object.
| e_TypeFormXObject = _fsdk.GraphicsObject_e_TypeFormXObject
| Form XObject graphics object.
| e_TypeImage = _fsdk.GraphicsObject_e_TypeImage
| Image graphics object.
| e_TypeInlines = _fsdk.GraphicsObject_e_TypeInlines
| Inline graphics object.
| e_TypePath = _fsdk.GraphicsObject_e_TypePath
| Path graphics object.
| e_TypeShading = _fsdk.GraphicsObject_e_TypeShading
| Shading graphics object.
| e_TypeText = _fsdk.GraphicsObject_e_TypeText
| Text graphics object.

## Detailed Description

Content of a PDF page usually consists of a sequence of graphics objects. Each graphics object contains its state information, data and instructions for rendering.
Class GraphicsObject is the base class for all types of PDF graphics objects. It offers the base functions to get/set graphics object's common properties. For concrete graphics object types, please refer to derived classes.
To get or insert/remove a graphics object, please refer to class FoxitPDFSDKPython3.GraphicsObjects .
If any change is done to a PDF graphics object, please remember to call function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent for FoxitPDFSDKPython3.GraphicsObjects object (to which current graphics object belongs). Please refer to comment of function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent for more details.

See also
  FoxitPDFSDKPython3.GraphicsObjects

## Member Function Documentation

## ◆ AddClipPath()

def FoxitPDFSDKPython3.GraphicsObject.AddClipPath | ( |  | path,
|  |  | fill_mode
| ) |  |

Add a path for clipping.

Parameters

  [in] | path | Path data to be added to current graphics object.
  [in] | fill_mode | Fill mode for the input path. Please refer to values starting from FoxitPDFSDKPython3.e_FillModeNone and this should be one of these values.

Returns
  true means success, while false means failure.

Note
  When this function succeeds, function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent should be called. Please refer to function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent for more details.

## ◆ AddClipTextObject()

def FoxitPDFSDKPython3.GraphicsObject.AddClipTextObject | ( |  | textobject | ) |

Add text object for clipping.

Parameters

  [in] | textobject | Text object to be added for clipping.

Returns
  true means success, while false means failure.

Note
  When this function succeeds, function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent should be called. Please refer to function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent for more details.

## ◆ ClearClips()

def FoxitPDFSDKPython3.GraphicsObject.ClearClips | ( |  | ) |

Clear all clips.

Returns
  true means success, while false means failure.

Note
  When this function succeeds, function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent should be called. Please refer to function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent for more details.

## ◆ Clone()

def FoxitPDFSDKPython3.GraphicsObject.Clone | ( |  | ) |

Clone a new graphics object.

Newly cloned graphics object is related to the same page with current graphics object by default. Newly cloned graphics object can only be used inside the PDF file which contains current graphics object. If the cloned graphics object is not inserted to any PDF page or other object, please remember to call function FoxitPDFSDKPython3.GraphicsObject.Release to release it when not use it any more.

Returns
  Cloned graphics object. If there is any error, this function will return null.

Newly cloned graphics object is related to the page which is dest_graphicsobjects belong to. Newly cloned graphics object can be used inside or outside the PDF file which contains current graphics object. If the cloned graphics object is not inserted to any PDF page or other object, please remember to call function FoxitPDFSDKPython3.GraphicsObject.Release to release it when not use it any more.

Parameters

  [in] | src_graphicsobjects | A GraphicsObjects object which contains current graphics object.
  [in] | dest_graphicsobjects | A GraphicsObjects object which will contain the cloned graphics object. This can belong to another page in current document or a page in another document.

Returns
  Cloned graphics object. If there is any error, this function will return null.

## ◆ GetBlendMode()

def FoxitPDFSDKPython3.GraphicsObject.GetBlendMode | ( |  | ) |

Get the blend mode for transparent imaging model.

Returns
  The Blend mode for transparent imaging model. Please refer to values starting from FoxitPDFSDKPython3.GraphicsObject.e_BlendNormal and this would be one of these values.

## ◆ GetClipPath()

def FoxitPDFSDKPython3.GraphicsObject.GetClipPath | ( |  | index | ) |

Get a path clip by index.

Parameters

  [in] | index | Path clip index. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython3.GraphicsObject.GetClipPath .

Returns
  Path data. If the return value of function FoxitPDFSDKPython3.Path.IsEmpty for the returned path object is true, that means there is any error.

## ◆ GetClipPathCount()

def FoxitPDFSDKPython3.GraphicsObject.GetClipPathCount | ( |  | ) |

Get the count of path clip.

Returns
  Count of path clip.

## ◆ GetClipPathFillMode()

def FoxitPDFSDKPython3.GraphicsObject.GetClipPathFillMode | ( |  | index | ) |

Get the fill mode of a path clip by index.

Parameters

  [in] | index | Path clip index. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython3.GraphicsObject.GetClipPath .

Returns
  Fill mode. Please refer to values starting from FoxitPDFSDKPython3.e_FillModeNone and this would be one of these values.

## ◆ GetClipRect()

def FoxitPDFSDKPython3.GraphicsObject.GetClipRect | ( |  | ) |

Get clip rectangle.

Returns
  Clip rectangle. If there is no clip rectangle, a RectF object with all values 0 will be returned.

## ◆ GetClipTextObject()

def FoxitPDFSDKPython3.GraphicsObject.GetClipTextObject | ( |  | index | ) |

Get the text object of a text clip by index.

Parameters

  [in] | index | Text clip index. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython3.GraphicsObject.GetClipTextObjectCount .

Returns
  A text graphics object. If there is any error, this function will return null.

## ◆ GetClipTextObjectCount()

def FoxitPDFSDKPython3.GraphicsObject.GetClipTextObjectCount | ( |  | ) |

Get the count of text clip.

Returns
  Count of text clip.

## ◆ GetColorState()

def FoxitPDFSDKPython3.GraphicsObject.GetColorState | ( |  | ) |

Get color state.

Text graphics object, path graphics object, and form XObject graphics object can have color state.

Returns
  Color state.

## ◆ GetFillColor()

def FoxitPDFSDKPython3.GraphicsObject.GetFillColor | ( |  | ) |

Get the fill color.

Text graphics object, path graphics object, and form XObject graphics object can have this property. Function FoxitPDFSDKPython3.GraphicsObject.GetColorState can be used to get fille color in other color space, like CMYK color space.

Returns
  Color value, in format 0xAARRGGBB.

## ◆ GetFillOpacity()

def FoxitPDFSDKPython3.GraphicsObject.GetFillOpacity | ( |  | ) |

Get the opacity value for painting operations other than stroking.

Returns
  The opacity value. Valid range: 0.0 to 1.0. 0.0 means full transparency and 1.0 means full opaque. If no opacity value can be found, 1 will be returned as default value.

## ◆ GetFormXObject()

def FoxitPDFSDKPython3.GraphicsObject.GetFormXObject | ( |  | ) |

Get the form XObject graphics object if current graphics object represents a form XObject object.

Returns
  Form XObject graphics object. If current graphics object does not represent a form XObject object, this function will return null.

## ◆ GetGraphState()

def FoxitPDFSDKPython3.GraphicsObject.GetGraphState | ( |  | ) |

Get graph state.

Form XObjet graphics object, path graphics object and text graphics object can have this property.

Returns
  Graph state.

## ◆ GetImageObject()

def FoxitPDFSDKPython3.GraphicsObject.GetImageObject | ( |  | ) |

Get the image graphics object if current graphics object represents an image object.

Returns
  Image graphics object. If current graphics object does not represent an image object, this function will return null.

## ◆ GetLayers()

def FoxitPDFSDKPython3.GraphicsObject.GetLayers | ( |  | layer_tree | ) |

Get all the layers which are associated with current graphics object.

Parameters

  [in] | layer_tree | A valid layer tree. All the layer nodes in this layer tree will be enumerated in order to find which are associated with current graphics object.

Returns
  A layer node array which contains all the matched layer node.

## ◆ GetMarkedContent()

def FoxitPDFSDKPython3.GraphicsObject.GetMarkedContent | ( |  | ) |

Get marked content object.

Returns
  A marked content object. If there is any error, this function will return null.

## ◆ GetMatrix()

def FoxitPDFSDKPython3.GraphicsObject.GetMatrix | ( |  | ) |

Get matrix.

Returns
  Matrix value. If there is any error, this function will return a Matrix with all values 0.

## ◆ GetPathObject()

def FoxitPDFSDKPython3.GraphicsObject.GetPathObject | ( |  | ) |

Get the path graphics object if current graphics object represents a path object.

Returns
  Path graphics object. If current graphics object does not represent a path object, this function will return null.

## ◆ GetRect()

def FoxitPDFSDKPython3.GraphicsObject.GetRect | ( |  | ) |

Get the rectangle of current graphics object.

Returns
  Rectangle of current graphics object. If there is any error, this function will return a RectF object with all values 0.

## ◆ GetShadingObject()

def FoxitPDFSDKPython3.GraphicsObject.GetShadingObject | ( |  | ) |

Get the shading graphics object if current graphics object represents a shading object.

Returns
  Shading graphics object. If current graphics object does not represent a shading object, this function will return null.

## ◆ GetStrokeColor()

def FoxitPDFSDKPython3.GraphicsObject.GetStrokeColor | ( |  | ) |

Get the stroke color.

Text graphics object, path graphics object, and form XObject graphics object can have this property.
Function FoxitPDFSDKPython3.GraphicsObject.GetColorState can be used to get stroke color in other color space, like CMYK color space.

Returns
  Color value, in format 0xAARRGGBB.

## ◆ GetStrokeOpacity()

def FoxitPDFSDKPython3.GraphicsObject.GetStrokeOpacity | ( |  | ) |

Get opacity value for stroke painting operations for paths and glyph outlines.

Returns
  The opacity value. Valid range: 0.0 to 1.0. 0.0 means full transparency and 1.0 means full opaque. If no opacity value can be found, 1 will be returned as default value.

## ◆ GetTextObject()

def FoxitPDFSDKPython3.GraphicsObject.GetTextObject | ( |  | ) |

Get the text graphics object if current graphics object represents a text object.

Returns
  Text graphics object. If current graphics object does not represent a text object, this function will return null.

## ◆ GetType()

def FoxitPDFSDKPython3.GraphicsObject.GetType | ( |  | ) |

Get the type of current graphics object.

Returns
  Graphics object type. Please refer to values starting from FoxitPDFSDKPython3.GraphicsObject.e_TypeText and this would be one of these values except FoxitPDFSDKPython3.GraphicsObject.e_TypeAll .

## ◆ HasTransparency()

def FoxitPDFSDKPython3.GraphicsObject.HasTransparency | ( |  | ) |

Check whether current graphics object has transparency or not.

Returns
  true means current graphics object has transparency, while false means not.

## ◆ Release()

def FoxitPDFSDKPython3.GraphicsObject.Release | ( |  | ) |

Release a cloned or newly created PDF graphics object which has not been inserted into any PDF page or other object.

Returns
  None.

## ◆ RemoveClipPath()

def FoxitPDFSDKPython3.GraphicsObject.RemoveClipPath | ( |  | index | ) |

Remove a path clip by index.

Parameters

  [in] | index | Path clip index. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython3.GraphicsObject.GetClipPath .

Returns
  true means success, while false means failure.

Note
  When this function succeeds, function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent should be called. Please refer to function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent for more details.

## ◆ RemoveClipTextObject()

def FoxitPDFSDKPython3.GraphicsObject.RemoveClipTextObject | ( |  | index | ) |

Remove a text clip by index for clipping.

Parameters

  [in] | index | Text clip index. Valid range: from 0 to (count-1). count is returned by function FoxitPDFSDKPython3.GraphicsObject.GetClipTextObjectCount .

Returns
  true means success, while false means failure.

Note
  When this function succeeds, function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent should be called. Please refer to function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent for more details.

## ◆ Rotate()

def FoxitPDFSDKPython3.GraphicsObject.Rotate | ( |  | angle | ) |

Rotate current graphics object from current state with specified angle degree in clockwise.

Parameters

  [in] | angle | Angle degree value, which is used to rotate current graphics object from current state in clockwise. Value range: from 0 to 360. Specially, if the input value is 0 or 360 (which means not to rotate current graphics object), current function will do nothing.

Returns
  None.

Note
  When this function succeeds, function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent should be called. Please refer to function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent for more details.

## ◆ SetBlendMode()

def FoxitPDFSDKPython3.GraphicsObject.SetBlendMode | ( |  | blend_mode | ) |

Set the blend mode for transparent imaging model.

Parameters

  [in] | blend_mode | New blend mode. Please refer to values starting from FoxitPDFSDKPython3.GraphicsObject.e_BlendNormal and this should be one of these values.

Returns
  None.

Note
  When this function succeeds, function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent should be called. Please refer to function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent for more details.

## ◆ SetClipRect()

def FoxitPDFSDKPython3.GraphicsObject.SetClipRect | ( |  | clip_rect | ) |

Set clip rectangle.

New clip rectangle will be set with fill mode FoxitPDFSDKPython3.e_FillModeWinding by default.

Parameters

  [in] | clip_rect | New clip rectangle.

Returns
  None.

Note
  When this function succeeds, function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent should be called. Please refer to function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent for more details.

## ◆ SetColorState()

def FoxitPDFSDKPython3.GraphicsObject.SetColorState | ( |  | color_state | ) |

Set color state.

Text graphics object, path graphics object, and form XObject graphics object can have this property. If try to set color state for rest unsupported types, exception FoxitPDFSDKPython3.e_ErrUnsupported will be thrown.

Parameters

  [in] | color_state | A color state object to be set to current graphics object.

Returns
  None.

Note
  When this function succeeds, function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent should be called. Please refer to function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent for more details.

## ◆ SetFillColor()

def FoxitPDFSDKPython3.GraphicsObject.SetFillColor | ( |  | color | ) |

Set the fill color.

Text graphics object, path graphics object, and form XObject graphics object can have color state. If try to set fill color for rest unsupported types, FoxitPDFSDKPython3.e_ErrUnsupported will be thrown.
For path graphics object, please ensure the fill mode is not FoxitPDFSDKPython3.e_FillModeNone ; otherwise the fill color will not have any effect on the path graphics object. Please refer to functions FoxitPDFSDKPython3.PathObject.GetFillMode and FoxitPDFSDKPython3.PathObject.SetFillMode to check and change the fill mode of a path graphics object.
Function FoxitPDFSDKPython3.GraphicsObject.SetColorState can be used to set fill color in other color space, like CMYK color space.

Parameters

  [in] | color | New color value, in format 0xAARRGGBB.

Returns
  None.

Note
  When this function succeeds, function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent should be called. Please refer to function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent for more details.

## ◆ SetFillOpacity()

def FoxitPDFSDKPython3.GraphicsObject.SetFillOpacity | ( |  | opacity | ) |

Set the opacity value for painting operations other than stroking.

Parameters

  [in] | opacity | The new opacity value. Valid range: 0.0 to 1.0. 0.0 means full transparency and 1.0 means full opaque.

Returns
  None.

Note
  When this function succeeds, function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent should be called. Please refer to function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent for more details.

## ◆ SetGraphState()

def FoxitPDFSDKPython3.GraphicsObject.SetGraphState | ( |  | graph_state | ) |

Set graph state.

Form XObjet graphics object, path graphics object and text graphics object (whose text mode is FoxitPDFSDKPython3.TextState.e_ModeStroke , FoxitPDFSDKPython3.TextState.e_ModeStrokeClip , FoxitPDFSDKPython3.TextState.e_ModeFillStroke or FoxitPDFSDKPython3.TextState.e_ModeFillStrokeClip ) can have this property. If try to set graph state to rest unsupported types, exception FoxitPDFSDKPython3.e_ErrUnsupported will be thrown.

Parameters

  [in] | graph_state | New graph state.

Returns
  None.

Note
  When this function succeeds, function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent should be called. Please refer to function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent for more details.

## ◆ SetMatrix()

def FoxitPDFSDKPython3.GraphicsObject.SetMatrix | ( |  | matrix | ) |

Set matrix.

Parameters

  [in] | matrix | New matrix value.

Returns
  None.

Note
  When this function succeeds, function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent should be called. Please refer to function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent for more details.

## ◆ SetStrokeColor()

def FoxitPDFSDKPython3.GraphicsObject.SetStrokeColor | ( |  | color | ) |

Set the stroke color.

Text graphics object, path graphics object, and form XObject graphics object can have this property. If current graphics object is a text graphics object and the text mode is FoxitPDFSDKPython3.TextState.e_ModeFill , the stroke color will not have effect on the text graphics object.
If try to set stroke color for rest unsupported types, exception FoxitPDFSDKPython3.e_ErrUnsupported will be thrown.
Function FoxitPDFSDKPython3.GraphicsObject.SetColorState can be used to set stroke color in other color space, like CMYK color space.

Parameters

  [in] | color | New color value, in format 0xAARRGGBB.

Returns
  None.

Note
  When this function succeeds, function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent should be called. Please refer to function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent for more details.

## ◆ SetStrokeOpacity()

def FoxitPDFSDKPython3.GraphicsObject.SetStrokeOpacity | ( |  | opacity | ) |

Set opacity value for stroke painting operations for paths and glyph outlines.

Parameters

  [in] | opacity | The new opacity value. Valid range: 0.0 to 1.0. 0.0 means full transparency and 1.0 means full opaque.

Returns
  None.

Note
  When this function succeeds, function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent should be called. Please refer to function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent for more details.

## ◆ Transform()

def FoxitPDFSDKPython3.GraphicsObject.Transform | ( |  | matrix,
|  |  | need_transform_clippath
| ) |  |

Transform current graphics object.

Parameters

  [in] | matrix | Transform matrix.
  [in] | need_transform_clippath | true means to transform clip path with current graphics object. false means to transform current graphics object only.

Returns
  true means success, while false means failure.

Note
  When this function succeeds, function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent should be called. Please refer to function FoxitPDFSDKPython3.GraphicsObjects.GenerateContent for more details.

## Member Data Documentation

## ◆ e_BlendColor

FoxitPDFSDKPython3.GraphicsObject.e_BlendColor = _fsdk.GraphicsObject_e_BlendColor
| static

Creates a color with the hue and saturation of the source color, and the luminosity of the backdrop color.

Here is the formula :

    B(Cb, Cs) = SetLum(Cs, Lum(Cb)).

## ◆ e_BlendColorBurn

FoxitPDFSDKPython3.GraphicsObject.e_BlendColorBurn = _fsdk.GraphicsObject_e_BlendColorBurn
| static

Darkens backdrop color to reflect the source color.

Painting with white produces no changes.
Here is the formula :

             B(Cb, Cs) =
             -1 - min(1, (1 - Cb) / Cs)  if Cs > 0
             -0              if Cs = 0

## ◆ e_BlendColorDodge

FoxitPDFSDKPython3.GraphicsObject.e_BlendColorDodge = _fsdk.GraphicsObject_e_BlendColorDodge
| static

Brightens backdrop color to reflect source colors.

Painting with black produces no changes.
Here is the formula :

             B(Cb, Cs) =
             -min(1, Cb / (1 - Cs))    if Cs < 1
             -1              if Cs = 1

## ◆ e_BlendDarken

FoxitPDFSDKPython3.GraphicsObject.e_BlendDarken = _fsdk.GraphicsObject_e_BlendDarken
| static

Select darker one of backdrop and source colors.

Here is the formula :

    B(Cb, Cs) = min(Cb, Cs).

## ◆ e_BlendDifference

FoxitPDFSDKPython3.GraphicsObject.e_BlendDifference = _fsdk.GraphicsObject_e_BlendDifference
| static

Subtracts the darker of the two constituent colors from lighter colors.

Here is the formula :

    B(Cb, Cs) = |Cb - Cs|.

## ◆ e_BlendExclusion

FoxitPDFSDKPython3.GraphicsObject.e_BlendExclusion = _fsdk.GraphicsObject_e_BlendExclusion
| static

Creates a color with the hue of the source color, and the saturation and luminosity of the backdrop color.

Here is the formula :

    B(Cb, Cs) = SetLum(SetSat(Cs, Sat(Cb)), Lum(Cb)).

## ◆ e_BlendHardlight

FoxitPDFSDKPython3.GraphicsObject.e_BlendHardlight = _fsdk.GraphicsObject_e_BlendHardlight
| static

Multiply or screens colors, depending on source color value.

Here is the formula :

            B(Cb, Cs) =
            -Multiply(Cb, 2 * Cs)    if Cs <= 0.5
            -Screen(Cb, 2 * Cs - 1)  if Cs > 0.5

## ◆ e_BlendHue

FoxitPDFSDKPython3.GraphicsObject.e_BlendHue = _fsdk.GraphicsObject_e_BlendHue
| static

Creates a color with the hue of the source color, and the saturation and luminosity of the backdrop color.

Here is the formula :

    B(Cb, Cs) = SetLum(SetSat(Cs, Sat(Cb)), Lum(Cb)).

## ◆ e_BlendLighten

FoxitPDFSDKPython3.GraphicsObject.e_BlendLighten = _fsdk.GraphicsObject_e_BlendLighten
| static

Select lighter one of backdrop and source colors.

Here is the formula :

    B(Cb, Cs) = max(Cb, Cs).

## ◆ e_BlendLuminosity

FoxitPDFSDKPython3.GraphicsObject.e_BlendLuminosity = _fsdk.GraphicsObject_e_BlendLuminosity
| static

Creates a color with the luminosity of the source color, and the hue and saturation of the backdrop color.

Here is the formula :

    B(Cb, Cs) = SetLum(Cb, Lum(Cs)).

## ◆ e_BlendMultiply

FoxitPDFSDKPython3.GraphicsObject.e_BlendMultiply = _fsdk.GraphicsObject_e_BlendMultiply
| static

Multiply backdrop by source color values.

Here is the formula :

    B(Cb, Cs) = Cb * Cs.

## ◆ e_BlendNormal

FoxitPDFSDKPython3.GraphicsObject.e_BlendNormal = _fsdk.GraphicsObject_e_BlendNormal
| static

Selecting source color and ignoring backdrop color.

Here is the formula :

    B(Cb, Cs) = Cs.

## ◆ e_BlendOverlay

FoxitPDFSDKPython3.GraphicsObject.e_BlendOverlay = _fsdk.GraphicsObject_e_BlendOverlay
| static

Multiply or screens colors, depending on backdrop color value.

Here is the formula :

    B(Cb, Cs) = HardLight(Cs, Cb).

## ◆ e_BlendSaturation

FoxitPDFSDKPython3.GraphicsObject.e_BlendSaturation = _fsdk.GraphicsObject_e_BlendSaturation
| static

Creates a color with the saturation of the source color, and the hue and luminosity of the backdrop color.

Here is the formula :

    B(Cb, Cs) = SetLum(SetSat(Cb, Sat(Cs)), Lum(Cb)).

## ◆ e_BlendScreen

FoxitPDFSDKPython3.GraphicsObject.e_BlendScreen = _fsdk.GraphicsObject_e_BlendScreen
| static

Multiply complements of backdrop by source color values, and then complement the result.

Here is the formula :

    B(Cb, Cs) = 1 - [(1 - Cb) * (1 - Cs)] = Cb + Cs - Cb * Cs.

## ◆ e_BlendSoftlight

FoxitPDFSDKPython3.GraphicsObject.e_BlendSoftlight = _fsdk.GraphicsObject_e_BlendSoftlight
| static

Darkens or lightens colors, depending on source color value.

Here is the formula :

            B(Cb, Cs) =
            -Cb - (1 - 2 * Cs) * Cb * (1 - Cb)    if Cs <= 0.5
            -Cb + (2 * Cs - 1) * (D(Cb) - Cb)    if Cs > 0.5
            where D(x) =
            -((16 * x - 12) * x + 4) * x      if x <= 0.25
            -sqrt(x)                if x > 0.25